org.wso2.carbon.device.mgt.iot.raspberrypi.service.impl.constants

## Class RaspberrypiConstants

- java.lang.Object
- - org.wso2.carbon.device.mgt.iot.raspberrypi.service.impl.constants.RaspberrypiConstants

-     public class RaspberrypiConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APIM_APPLICATION_TOKEN_VALIDITY_PERIOD`
    `static String` | `BULB_CONTEXT`
    `static String` | `DEVICE_TYPE`
    `static String` | `MQTT_ADAPTER_TOPIC_PROPERTY_NAME`
    `static String` | `PERM_ENROLL_RASPBERRYPI`
    `static String` | `PERM_OWNING_DEVICE_VIEW`
    `static String` | `ROLE_NAME`
    `static String` | `SCOPE`
    `static String` | `STATE_OFF`
    `static String` | `STATE_ON`
    `static String` | `TEMPERATURE_EVENT_TABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RaspberrypiConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEVICE_TYPE

          public static final String DEVICE_TYPE

      See Also:
        Constant Field Values

    - #### STATE_ON

          public static final String STATE_ON

      See Also:
        Constant Field Values

    - #### STATE_OFF

          public static final String STATE_OFF

      See Also:
        Constant Field Values

    - #### BULB_CONTEXT

          public static final String BULB_CONTEXT

      See Also:
        Constant Field Values

    - #### TEMPERATURE_EVENT_TABLE

          public static final String TEMPERATURE_EVENT_TABLE

      See Also:
        Constant Field Values

    - #### MQTT_ADAPTER_TOPIC_PROPERTY_NAME

          public static final String MQTT_ADAPTER_TOPIC_PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### APIM_APPLICATION_TOKEN_VALIDITY_PERIOD

          public static final String APIM_APPLICATION_TOKEN_VALIDITY_PERIOD

      See Also:
        Constant Field Values

    - #### SCOPE

          public static final String SCOPE

      See Also:
        Constant Field Values

    - #### PERM_ENROLL_RASPBERRYPI

          public static final String PERM_ENROLL_RASPBERRYPI

      See Also:
        Constant Field Values

    - #### PERM_OWNING_DEVICE_VIEW

          public static final String PERM_OWNING_DEVICE_VIEW

      See Also:
        Constant Field Values

    - #### ROLE_NAME

          public static final String ROLE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RaspberrypiConstants

          public RaspberrypiConstants()

Copyright © 2017 WSO2. All rights reserved.